Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.filters
Class HourLimiterFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigsaw.filters.HourLimiterFilter

public class HourLimiterFilter
extends ResourceFilter

Field Summary
`static int` | `ATTR_DATE_END` end date
`static int` | `ATTR_DATE_START` start date
`static int` | `ATTR_DAY_REPEAT` Repeat every day?
`static int` | `ATTR_MONTH_REPEAT` Repeat every month?
`static int` | `ATTR_WEEK_REPEAT` Repeat every week?
`static int` | `ATTR_YEAR_REPEAT` Repeat every year?

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`HourLimiterFilter()`

Method Summary
`protected boolean` | `getDayRepeat()`
`protected boolean` | `getMonthRepeat()`
`protected boolean` | `getWeekRepeat()`
`protected boolean` | `getYearRepeat()`
`ReplyInterface` | `ingoingFilter(RequestInterface req)` We check that the date is in the right values otherwise, send a NOT_AVAILABLE and fills the right Retry-After header
`void` | `initialize(java.lang.Object[] values)` Initialize the filter.
`void` | `setValue(int idx, java.lang.Object value)` We override setValues to compute locally everything we need

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, initialize, lookup, outgoingFilter, outgoingFilter, outputFilter, pickleValues`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_DAY_REPEAT

    public static int ATTR_DAY_REPEAT

  Repeat every day?

### ATTR_WEEK_REPEAT

    public static int ATTR_WEEK_REPEAT

  Repeat every week?

### ATTR_MONTH_REPEAT

    public static int ATTR_MONTH_REPEAT

  Repeat every month?

### ATTR_YEAR_REPEAT

    public static int ATTR_YEAR_REPEAT

  Repeat every year?

### ATTR_DATE_START

    public static int ATTR_DATE_START

  start date

### ATTR_DATE_END

    public static int ATTR_DATE_END

  end date

Constructor Detail

### HourLimiterFilter

    public HourLimiterFilter()

Method Detail

### getDayRepeat

    protected boolean getDayRepeat()

### getWeekRepeat

    protected boolean getWeekRepeat()

### getMonthRepeat

    protected boolean getMonthRepeat()

### getYearRepeat

    protected boolean getYearRepeat()

### setValue

    public void setValue(int idx,
                         java.lang.Object value)

  We override setValues to compute locally everything we need
  Overrides:
    setValue in class ResourceFrame
  Parameters:
    `idx` - The index of the attribute to modify.
    `value` - The new attribute value.

### initialize

    public void initialize(java.lang.Object[] values)

  Initialize the filter.
  Overrides:
    initialize in class FramedResource
  Tags copied from class: FramedResource
  Parameters:
    `values` - Default attribute values.

### ingoingFilter

    public ReplyInterface ingoingFilter(RequestInterface req)

  We check that the date is in the right values otherwise, send a NOT_AVAILABLE and fills the right Retry-After header
  Overrides:
    ingoingFilter in class ResourceFilter
  Returns:
    a Reply if blocked, null otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD